Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
Lucene::UTF8Base Class Referenceabstract

`#include <UTF8Stream.h>`

Inheritance diagram for Lucene::UTF8Base:

## Public Member Functions

virtual | ~UTF8Base ()
virtual String | getClassName ()
boost::shared_ptr< UTF8Base > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Static Public Attributes

static const uint16_t | LEAD_SURROGATE_MIN
static const uint16_t | LEAD_SURROGATE_MAX
static const uint16_t | TRAIL_SURROGATE_MIN
static const uint16_t | TRAIL_SURROGATE_MAX
static const uint16_t | LEAD_OFFSET
static const uint32_t | SURROGATE_OFFSET
static const uint32_t | CODE_POINT_MAX
static const wchar_t | UNICODE_REPLACEMENT_CHAR
static const wchar_t | UNICODE_TERMINATOR

## Protected Member Functions

virtual uint32_t | readNext ()=0
uint8_t | mask8 (uint32_t b)
uint16_t | mask16 (uint32_t c)
bool | isTrail (uint32_t b)
bool | isSurrogate (uint32_t cp)
bool | isLeadSurrogate (uint32_t cp)
bool | isTrailSurrogate (uint32_t cp)
bool | isValidCodePoint (uint32_t cp)
bool | isOverlongSequence (uint32_t cp, int32_t length)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~UTF8Base()

virtual Lucene::UTF8Base::~UTF8Base | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::UTF8Base::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::UTF8Base::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::UTF16Decoder, Lucene::UTF8DecoderStream, Lucene::UTF8Decoder, Lucene::UTF8EncoderStream, and Lucene::UTF8Encoder.

## ◆ isLeadSurrogate()

bool Lucene::UTF8Base::isLeadSurrogate | ( | uint32_t | cp | ) |

protected

## ◆ isOverlongSequence()

bool Lucene::UTF8Base::isOverlongSequence | ( | uint32_t | cp,
|  | int32_t | length
| ) |  |

protected

## ◆ isSurrogate()

bool Lucene::UTF8Base::isSurrogate | ( | uint32_t | cp | ) |

protected

## ◆ isTrail()

bool Lucene::UTF8Base::isTrail | ( | uint32_t | b | ) |

protected

## ◆ isTrailSurrogate()

bool Lucene::UTF8Base::isTrailSurrogate | ( | uint32_t | cp | ) |

protected

## ◆ isValidCodePoint()

bool Lucene::UTF8Base::isValidCodePoint | ( | uint32_t | cp | ) |

protected

## ◆ mask16()

uint16_t Lucene::UTF8Base::mask16 | ( | uint32_t | c | ) |

protected

## ◆ mask8()

uint8_t Lucene::UTF8Base::mask8 | ( | uint32_t | b | ) |

protected

## ◆ readNext()

virtual uint32_t Lucene::UTF8Base::readNext | ( |  | ) |

protected pure virtual

Implemented in Lucene::UTF16Decoder, Lucene::UTF8DecoderStream, Lucene::UTF8Decoder, Lucene::UTF8EncoderStream, and Lucene::UTF8Encoder.

## ◆ shared_from_this()

boost::shared_ptr< UTF8Base > Lucene::UTF8Base::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ CODE_POINT_MAX

const uint32_t Lucene::UTF8Base::CODE_POINT_MAX

static

## ◆ LEAD_OFFSET

const uint16_t Lucene::UTF8Base::LEAD_OFFSET

static

## ◆ LEAD_SURROGATE_MAX

const uint16_t Lucene::UTF8Base::LEAD_SURROGATE_MAX

static

## ◆ LEAD_SURROGATE_MIN

const uint16_t Lucene::UTF8Base::LEAD_SURROGATE_MIN

static

## ◆ SURROGATE_OFFSET

const uint32_t Lucene::UTF8Base::SURROGATE_OFFSET

static

## ◆ TRAIL_SURROGATE_MAX

const uint16_t Lucene::UTF8Base::TRAIL_SURROGATE_MAX

static

## ◆ TRAIL_SURROGATE_MIN

const uint16_t Lucene::UTF8Base::TRAIL_SURROGATE_MIN

static

## ◆ UNICODE_REPLACEMENT_CHAR

const wchar_t Lucene::UTF8Base::UNICODE_REPLACEMENT_CHAR

static

## ◆ UNICODE_TERMINATOR

const wchar_t Lucene::UTF8Base::UNICODE_TERMINATOR

static

The documentation for this class was generated from the following file:

- UTF8Stream.h

clucene.sourceforge.net